#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	setuptools

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	0.6c11
Release:	2
Summary:	Download, build, install, upgrade, and uninstall Python packages
Group:		Development/Python
License:	Python or ZPLv2.0
URL:		http://peak.telecommunity.com/DevCenter/%{original_name}
Source0:	http://cheeseshop.python.org/packages/source/s/%{original_name}/%{original_name}-%{version}.tar.gz
Source200:	psfl.txt
Source201:	zpl.txt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
Provides:	python-setuptools = %{version}-%{release}
Obsoletes:	python-setuptools <= %{version}-%{release}
Obsoletes:	python25-setuptools <= %{version}-%{release}

%description
setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

%prep
%setup -q -n %{original_name}-%{version}
chmod -x *.txt

%build
%{__python} setup.py build

%check
# We expect one failure with the current setup
%{__python} setup.py test || :

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT
install -p -m 0644 %{SOURCE200} %{SOURCE201} .
find $RPM_BUILD_ROOT -name '*.exe' | xargs rm -f
find $RPM_BUILD_ROOT -name '*.txt' | xargs chmod -x
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/setuptools/command/easy_install.py

pushd $RPM_BUILD_ROOT%_bindir
rm -f easy_install
ln -s easy_install-%{PYVER} easy_install
popd 

# Don' remove *.egg-info dirs!
#rm -Rf $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc setuptools.txt EasyInstall.txt pkg_resources.txt README.txt psfl.txt zpl.txt
%_bindir/easy_install
%_bindir/easy_install-%{PYVER}
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.6c11-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.6c11-1
- Version update, rebuild against python25-2.5.4-3
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 0.6c9-2
- rebuilt with explicit /usr/bin/python2.5
* Tue Apr 28 2009 Christian Metzen <metzench@ccux-linux.de> 0.6c9-1
- Version update
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 0.6c7-1
- Initital release
